/*
PAYMENTS API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package paymentsapi

import (
	"encoding/json"
)

// checks if the CreatePaypalConfigRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CreatePaypalConfigRequest{}

// CreatePaypalConfigRequest struct for CreatePaypalConfigRequest
type CreatePaypalConfigRequest struct {
	ApiUrl string `json:"api_url"`
	ClientId string `json:"client_id"`
	ClientSecret string `json:"client_secret"`
}

// NewCreatePaypalConfigRequest instantiates a new CreatePaypalConfigRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCreatePaypalConfigRequest(apiUrl string, clientId string, clientSecret string) *CreatePaypalConfigRequest {
	this := CreatePaypalConfigRequest{}
	this.ApiUrl = apiUrl
	this.ClientId = clientId
	this.ClientSecret = clientSecret
	return &this
}

// NewCreatePaypalConfigRequestWithDefaults instantiates a new CreatePaypalConfigRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCreatePaypalConfigRequestWithDefaults() *CreatePaypalConfigRequest {
	this := CreatePaypalConfigRequest{}
	return &this
}

// GetApiUrl returns the ApiUrl field value
func (o *CreatePaypalConfigRequest) GetApiUrl() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ApiUrl
}

// GetApiUrlOk returns a tuple with the ApiUrl field value
// and a boolean to check if the value has been set.
func (o *CreatePaypalConfigRequest) GetApiUrlOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ApiUrl, true
}

// SetApiUrl sets field value
func (o *CreatePaypalConfigRequest) SetApiUrl(v string) {
	o.ApiUrl = v
}

// GetClientId returns the ClientId field value
func (o *CreatePaypalConfigRequest) GetClientId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ClientId
}

// GetClientIdOk returns a tuple with the ClientId field value
// and a boolean to check if the value has been set.
func (o *CreatePaypalConfigRequest) GetClientIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ClientId, true
}

// SetClientId sets field value
func (o *CreatePaypalConfigRequest) SetClientId(v string) {
	o.ClientId = v
}

// GetClientSecret returns the ClientSecret field value
func (o *CreatePaypalConfigRequest) GetClientSecret() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ClientSecret
}

// GetClientSecretOk returns a tuple with the ClientSecret field value
// and a boolean to check if the value has been set.
func (o *CreatePaypalConfigRequest) GetClientSecretOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ClientSecret, true
}

// SetClientSecret sets field value
func (o *CreatePaypalConfigRequest) SetClientSecret(v string) {
	o.ClientSecret = v
}

func (o CreatePaypalConfigRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CreatePaypalConfigRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["api_url"] = o.ApiUrl
	toSerialize["client_id"] = o.ClientId
	toSerialize["client_secret"] = o.ClientSecret
	return toSerialize, nil
}

type NullableCreatePaypalConfigRequest struct {
	value *CreatePaypalConfigRequest
	isSet bool
}

func (v NullableCreatePaypalConfigRequest) Get() *CreatePaypalConfigRequest {
	return v.value
}

func (v *NullableCreatePaypalConfigRequest) Set(val *CreatePaypalConfigRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableCreatePaypalConfigRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableCreatePaypalConfigRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCreatePaypalConfigRequest(val *CreatePaypalConfigRequest) *NullableCreatePaypalConfigRequest {
	return &NullableCreatePaypalConfigRequest{value: val, isSet: true}
}

func (v NullableCreatePaypalConfigRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCreatePaypalConfigRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


